digitizing shapefile: how to start digitizing is obscure; how to add, move, delete vertices?
Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10120

Description

1. open line shapefile

2. press "Capture line", left click on map

3. you are told "... Use 'Start editing' in the legend item menu"

4. OK now - where is this 'Start editing':

5. right click on on the layer name - no

6. right click on on the icon below layer name - no

7. but there is "Show file groups", let's check it

8. done; now expand "Files"

9. my "smieci.shp" becomes visible; let's right click it

10. done; propably I need to press "Allow editing" (but I was told to look for 'Start editing', hm?)

11. done; I can now add lines

Could it be somewhat simpler and the naming preserved?

And how do I activate "Delete seleted", "Add vertex", "Delete vertex", "Move vertex". Are still still not implemented?

Maciek

History

#1 - 2006-04-08 09:40 AM - Marco Hugentobler

- Status changed from Open to In Progress

The layers are now editable by default (if supported by the provider). "Delete seleted", "Add vertex", "Delete vertex", "Move vertex" are still not possible for

shapefiles because the OGR library does not support it. 

"Add vertex", "Delete vertex", "Move vertex" are also not fully functional for postgis layers at the moment.

Marco
#2 - 2006-04-22 09:48 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from In Progress to Closed

There is now a 'allow editing' entry in the right click menu also on the [[QgsLegendLayer]] level

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
